.TH "mca_oob_xcast_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_oob_xcast_t \- A 'broadcast-like' function over the specified set of peers.  

.PP
.SH SYNOPSIS
.br
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.ti -1c
.RI "\fBopal_mutex_t\fP \fBmutex\fP"
.br
.ti -1c
.RI "opal_condition_t \fBcond\fP"
.br
.ti -1c
.RI "size_t \fBcounter\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
A 'broadcast-like' function over the specified set of peers. 

\fBParameters:\fP
.RS 4
\fIroot\fP The process acting as the root of the broadcast. 
.br
\fIpeers\fP The list of processes receiving the broadcast (excluding root). 
.br
\fIbuffer\fP The data to broadcast - only significant at root. 
.br
\fIcbfunc\fP Callback function on receipt of data - not significant at root.
.RE
.PP
Note that the callback function is provided so that the data can be received and interpreted by the application prior to the broadcast continuing to forward data along the distribution tree. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
